
QGIS Application - Bug report #3028

Displacement between vector and WMS layers after printing

2010-09-21 08:22 AM - dr -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13088

Description

Open vector layer and WMS layer from any WMS Server (for example "osm" layer from "http://wms.latlon.org/?" server). In View all looks

fine. Create new print composer and add map to it. All looks fine again. But after printing to pdf or to image we get displacement between

vector and wms layers. It was tested on different wms servers and vector layers with different CRSs. See attachment.

Associated revisions

Revision 55a1778b - 2011-07-03 04:41 PM - Jürgen Fischer

other workaround for Qt#5114 (fixes #3250, #3028, #2598)

Revision 908a494b - 2011-07-04 11:17 AM - Jürgen Fischer

other workaround for Qt#5114 (fixes #3250, #3028, #2598)

History

#1 - 2010-09-21 10:25 AM - dr -

The same problem when print simple raster and vector layers - in print composer all looks fine, but after export to pdf considerable displacement is

presented.

#2 - 2010-09-21 10:56 AM - Alexander Bruy

Problem with WMS confirmed on Linux with QGIS 1.6.0

#3 - 2010-09-21 03:03 PM - Jürgen Fischer

Does "Print As Raster" help?

#4 - 2010-09-21 05:01 PM - dr -

Print as raster doesn't help. I try to print map as raster to A2 paper size PDF and get displacement again.

#5 - 2011-01-30 11:32 AM - Jürgen Fischer
see also #3448

#6 - 2011-02-03 06:52 PM - Thaddeus -

I also have the same wrong displacement problem under Win using 1.6 and 1.5 and exporting as vector, but it does not happen with QGIS 1.4. Raster

works OK. The vector PDF output (QGIS 1.6 Win) has other problems too, it is completely bloated with strange huge images not found on the source file:

just printing an empty file with nothing on it, nil, nada, creates an 9MB (unzipped streams) PDF file  having 3 large streams with images and one stream

with badly malformed PS code. Under Ubuntu, the exported vector PDF output is not usable because the PC freezes for 5 minutes trying to draw a simple

line of text on the screen due to [[PostSript]] rendering problems.

#7 - 2011-02-28 10:38 AM - Thaddeus -

Here is some test data:

1-6-test.zip

the QGS test file has two layers, an raster image showing a well defined edge --nice for hand tracing-- and a line-SHP layer with the trace of the raster

layer: 8 small files in total.

PDF's contain the export-to-PDF result under Win2k using QGIS 1.4, 1.5, 1.6..

Best exported PDF is the vector QGIS 1.4 printout, but has no vector data though.

#8 - 2011-04-24 02:57 PM - Marco Hugentobler

Is this still true? Tested with current trunk and the attached dataset and the pdf export seems to look the same on map, in composer and in pdf.

#9 - 2011-05-31 02:40 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to worksforme

closing for the lack of feedback.

#10 - 2011-07-15 07:09 AM - Nikos Tzelepis

- File ask2-qgis.pdf added

- File ask3-qgis.pdf added

I found the same problem when trying to export map compositions with point symbols, in two different cases (just simple shapefiles).

#11 - 2011-07-15 07:23 AM - Nikos Tzelepis

..with version 1.7. Was there any fix since the release date (19/6/2011) I should try?

#12 - 2011-08-04 03:25 PM - Thaddeus -

- File TestData__Single_band_properties__LayerMisplacement.zip added
- Pull Request or Patch supplied set to No

No, version QGIS 1.7.0 Wroclaw under Win still PDF-exports shifted layers and shapes as raster instead of PS vectors --non "Print as raster" option.

Using the Win print services results in an OK printout but all shapes are rasterized.

PDF export as raster works OK.

#13 - 2011-08-14 05:31 AM - Micha Silver

I can verify that on Win7 - OSGeo4W installer - the shift of vector layers vs raster (ECW) still exists. The problem appears only in PDF export. When saving

as image there;s no shift. And on the map canvas everything looks fine. 

Thanks,

Micha

#14 - 2011-08-14 06:11 AM - Jürgen Fischer

micha - wrote:

I can verify that on Win7 - OSGeo4W installer - the shift of vector layers vs raster (ECW) still exists. The problem appears only in PDF export. When

saving as image there;s no shift. And on the map canvas everything looks fine.

Do you mean the problem still exists in master (aka qgis-dev in OSGeo4W)?  That's where it should be fixed - 1.7.0 doesn't have that fix.

#15 - 2011-10-06 09:07 AM - Thaddeus -

Just made a quick check on QGIS 1.7.1 and it works great: no displacement anymore and I the SHP is rendered as PS stream (vector): excelente work !

Files

21.09.png 236 KB 2010-09-21 dr -

nada01_1-4_100dpi_raster_win2k.pdf 126 KB 2011-02-28 Thaddeus -

nada01_1-4_100dpi_vector_win2k.pdf 111 KB 2011-02-28 Thaddeus -

nada01_1-6_100dpi_vector_win2k.pdf 210 KB 2011-02-28 Thaddeus -

nada01_1-6_100dpi_raster_win2k.pdf 128 KB 2011-02-28 Thaddeus -

nada01_1-5_100dpi_vector_win2k.zip 236 KB 2011-02-28 Thaddeus -

nada01_1-5_100dpi_raster_win2k.pdf 128 KB 2011-02-28 Thaddeus -

1-6-test.zip 26 KB 2011-02-28 Thaddeus -

ask2-qgis.pdf 1.82 MB 2011-07-15 Nikos Tzelepis

ask3-qgis.pdf 1.58 MB 2011-07-15 Nikos Tzelepis

TestData__Single_band_properties__LayerMisplacement.zip 173 KB 2011-08-04 Thaddeus -

2024-03-13 3/3


